SSL certificate check
curl --request POST \
--url https://api.ipulse.one/v2/toolbox/ssl-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com"
}
'import requests
url = "https://api.ipulse.one/v2/toolbox/ssl-check"
payload = { "url": "https://example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com'})
};
fetch('https://api.ipulse.one/v2/toolbox/ssl-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ipulse.one/v2/toolbox/ssl-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"url": "<string>",
"valid": true,
"issuer": "<string>",
"subject": "<string>",
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z",
"days_until_expiry": 123
}
}{
"success": false,
"message": "Unauthenticated."
}{
"success": false,
"message": "This feature requires an Expert Plan subscription."
}{
"success": false,
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Toolbox
SSL certificate check
Check SSL certificate details (Expert Plan required)
POST
/
v2
/
toolbox
/
ssl-check
SSL certificate check
Authorizations
bearerAuthagentAuth
API token generated from your PulseGuard dashboard
Body
application/json
URL to check SSL certificate
Example:
"https://example.com"
⌘I

